"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.frameworkExtrasSelect = exports.createStackFrameworkSelect = exports.selectStacks = exports.FRONTEND_CHOICES = exports.BACKEND_CHOICES = void 0;
const fs_1 = require("fs");
const stacks_1 = require("../paths/stacks");
const path_1 = require("path");
const kleur_1 = __importDefault(require("kleur"));
const constants_1 = require("../constants");
const filterByFilename = (f) => !f.includes(".");
exports.BACKEND_CHOICES = fs_1.readdirSync(stacks_1.stackPath("backend")).filter(filterByFilename);
exports.FRONTEND_CHOICES = fs_1.readdirSync(stacks_1.stackPath("frontend")).filter(filterByFilename);
exports.selectStacks = {
    name: "stacks",
    type: "checkbox",
    message: "What project template would you like to generate?",
    choices: ["frontend", "backend"],
};
exports.createStackFrameworkSelect = (stack) => {
    const question = {
        name: stack,
        type: "list",
        message: `Which ${stack} framework`,
        choices: stack === "frontend" ? exports.FRONTEND_CHOICES : exports.BACKEND_CHOICES,
    };
    question.choices.push(kleur_1.default.italic(constants_1.EMPTY_FOLDER));
    return question;
};
exports.frameworkExtrasSelect = (stack, framework) => {
    try {
        const extrasPath = path_1.join(stacks_1.stackPath(stack), framework, "extras");
        const stat = fs_1.statSync(extrasPath);
        if (stat.isDirectory()) {
            const extras = fs_1.readdirSync(extrasPath);
            const question = {
                type: "checkbox",
                name: stack + "Extras",
                message: `Extra packages for ${framework}?`,
                choices: extras,
            };
            return question;
        }
        return null;
    }
    catch (err) {
        return null;
    }
};
//# sourceMappingURL=stacks.js.map