"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTemplates = void 0;
const nodegit_1 = require("nodegit");
const path_1 = require("path");
const fs_1 = require("fs");
const templateURL = "https://github.com/tolgaerdonmez/project-chef-templates.git";
const templatesPath = path_1.join(__dirname, "../templates");
exports.getTemplates = () => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const exists = fs_1.readdirSync(path_1.join(__dirname, "../")).indexOf("templates") > -1;
        if (exists) {
            const repo = yield nodegit_1.Repository.open(templatesPath);
            yield repo.fetch("origin");
            yield repo.mergeBranches("master", "origin/master");
            return true;
        }
        const repo = yield nodegit_1.Clone.clone(templateURL, templatesPath);
        if (!repo)
            return false;
        return true;
    }
    catch (error) {
        console.log(error.message);
        return false;
    }
});
//# sourceMappingURL=templates.js.map